For the complete documentation index, see llms.txt. This page is also available as Markdown.

Duplicate

Duplicate

post

Duplicate a SAML IDP configuration.

Path parameters
idinteger · int32Required

The ID of the SAML IDP configuration to duplicate

Responses
201

Created

application/json; api-version=1.0

IDP The server or authorization authority that the client can use to authenticate

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

enabledbooleanOptional

Whether the IDP is enabled or not.

namestring · nullableOptional

Name of the IDP

siteIdinteger · int32Optional

Site ID

descriptionstring · nullableOptional

Description of the IDP

themeIdinteger · int32Optional

The theme ID associated with this SAML configuration

idpEntityIDstring · nullableOptional

IDP entity ID

idpCertificatestring · nullableOptional

IDP certificate

logonURLstring · nullableOptional

Logon URL

logoutURLstring · nullableOptional

Logout URL

allowUnencryptedAssertionbooleanOptional

Allow unencrypted assertion

hoststring · nullableOptional

Specifies the host name

spEntityIDstring · nullableOptional

Sends a unique ID as a parameter of the SAML token.

spReplyURLstring · nullableOptional

Specifies where to receive the SAML token.

spLogonURLstring · nullableOptional

Specifies where to redirect users so that they can authenticate.

spLogoutURLstring · nullableOptional

Specifies where to redirect users so that they can deauthenticate.

spCertificatestring · nullableOptional

Specifies the service provider certificate

post/api/SAMLIDP/{id}/Duplicate
POST /api/SAMLIDP/{id}/Duplicate HTTP/1.1
Accept: */*
{
  "id": 1,
  "adminCreate": "text",
  "adminLastMod": "text",
  "timeCreate": "2026-01-01T00:00:00.000Z",
  "timeLastMod": "2026-01-01T00:00:00.000Z",
  "enabled": true,
  "name": "text",
  "siteId": 1,
  "description": "text",
  "themeId": 1,
  "idpEntityID": "text",
  "idpCertificate": "text",
  "logonURL": "text",
  "logoutURL": "text",
  "allowUnencryptedAssertion": true,
  "host": "text",
  "spEntityID": "text",
  "spReplyURL": "text",
  "spLogonURL": "text",
  "spLogoutURL": "text",
  "spCertificate": "text",
  "attributes": {
    "userPrincipalName": {
      "enabled": true,
      "samlAttribute": "text",
      "adAttribute": "text"
    },
    "immutableID": {
      "enabled": true,
      "samlAttribute": "text",
      "adAttribute": "text"
    },
    "sid": {
      "enabled": true,
      "samlAttribute": "text",
      "adAttribute": "text"
    },
    "sAMAccountName": {
      "enabled": true,
      "samlAttribute": "text",
      "adAttribute": "text"
    },
    "custom": {
      "enabled": true,
      "samlAttribute": "text",
      "adAttribute": "text"
    }
  }
}